
/*--------------------------------------------------------*/

/**

@file
@author Ziming Zhong
@version 1.0

@section DESCRIPTION

The version of GPU GEMM Out-of-core library.
*/

/*-----------------------------------------------------------*/

#ifndef _HCL_GEMM_OOC_VERSION_HPP_
#define _HCL_GEMM_OOC_VERSION_HPP_

/*-----------------------------------------------------------*/

namespace hcl {

/*-----------------------------------------------------------*/

/**
 * The version class.
 */
class Version {
public:
   /**
    * The major version of the library.
    */
   static unsigned short majorVersion;

   /**
    * The minor version of the library.
    */
   static unsigned short minorVersion;
};

/*-----------------------------------------------------------*/

}

/*-----------------------------------------------------------*/

#endif /* _HCL_GEMM_OOC_HPP_ */

/*-----------------------------------------------------------*/

